from sqlalchemy.orm import Mapped, mapped_column

from api.models import BaseModel


class UserModel(BaseModel):
    __tablename__ = "user"

    name: Mapped[str]
    email: Mapped[str] = mapped_column(unique=True)
    hashed_password: Mapped[str]
